Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Class FactoryFinder

    java.lang.Object
      |
      +--com.bea.httppubsub.FactoryFinder

public final class FactoryFinder
extends java.lang.Object

FactoryFinder search PubSub server's factories implementation based on the factory interface name. User can replace system default factories implementations by invoking `setFactory(String, String)` method.

See Also:
  `PubSubServerFactory`, `PubSubConfigFactory`

Field Summary
`static java.lang.String` | `PUBSUBCONFIG_FACTORY` The property name for the `PubSubConfigFactory` class name.
`static java.lang.String` | `PUBSUBSERVER_FACTORY` The property name for the `PubSubServerFactory` class name.

Method Summary
`static java.lang.Object` | `getFactory(java.lang.String factoryName)` Get instance of the factory for the given Factory interface name.
`static void` | `setFactory(java.lang.String factoryName, java.lang.String implName)` Set the implementation class name for given factory interface name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBSUBSERVER_FACTORY

    public static final java.lang.String PUBSUBSERVER_FACTORY

  The property name for the `PubSubServerFactory` class name.

### PUBSUBCONFIG_FACTORY

    public static final java.lang.String PUBSUBCONFIG_FACTORY

  The property name for the `PubSubConfigFactory` class name.

Method Detail

### getFactory

    public static java.lang.Object getFactory(java.lang.String factoryName)
                                       throws PubSubServerException

  Get instance of the factory for the given Factory interface name.

  Parameters:
    `factoryName` - Factory interface name
  Returns:
    factory implementation object
  Throws:
    PubSubServerException - if error occurs
    java.lang.NullPointerException - if factoryName is null
    java.lang.IllegalArgumentException - if factoryName is invalid factory name.

### setFactory

    public static void setFactory(java.lang.String factoryName,
                                  java.lang.String implName)
                           throws PubSubServerException

  Set the implementation class name for given factory interface name

  Parameters:
    `factoryName` - factory interface name
    `implName` - implementation class name
  Throws:
    PubSubServerException - if error occurs
    java.lang.NullPointerException - if factoryName is null
    java.lang.IllegalArgumentException - if factoryName is invalid factory name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.